import express, { json, Router } from "express";
import cors from 'cors';
import 'express-async-errors';
import {handleError, ValidationError} from "./utlis/errors";
import rateLimit from "express-rate-limit";
import { adRouter } from "./routers/ad.routers";


const app = express();

app.use(cors({
    origin: 'http://localhost:3000',
}));
app.use(json());

// bezpieczeństwo/ ilośc zapytań
app.use(rateLimit({
    windowMs: 5 * 60 * 1000, // 15 minutes
	max: 100, // Limit each IP to 100 requests per `window` (here, per 15 minutes)
})) 

//Routes ....
const router = Router();
router.use('/ad', adRouter);
app.use('/api',router)

app.use(handleError);

app.listen(3001, '0.0.0.0', ()=> {
    console.log('Listening on port http://localhost:3001');
    
} )
